
.custom-menu {
    /*position: relative;*/
}

.menu-level-1 {
    display: flex;
    justify-content: space-around;
}

.menu-item-level-1 {
    margin: 0 15px;
    cursor: pointer;
    padding: 20px;
    color: #0F1B46FF;
}

.menu-item-level-1:hover {
    color: #C32D7F;
    background-color: #E5EBF8;
}

.menu-item-level-1.active {
    color: #C32D7F;
    background-color: #E5EBF8;
}

.menu-item-level-1.active:after {
    transform: rotate(-180deg);
}

.menu-item-level-2:hover, .menu-item-level-3:hover {
    color: #C32D7F;
}

.menu-item-level-2.active {
    border-left: 3px solid #C32D7F;
}

.menu-item-level-1 a, .menu-item-level-2 a {
    color: #0F1B46FF;
    display: block;
    width: 100%;
}

.menu-level-2-container {
    position: absolute;
    left: -0px;
    width: 100%;
    display: none;
    background: #ffffff;
    z-index: 999;
    box-sizing: border-box;
    top: 68px;
    overflow: clip;
}

/*.menu-level-2-container.small-container {*/
/*    width: 20%;*/
/*}*/

.menu-level-2-container.display-container {
    display: flex;
}

.menu-level-2-wrapper {
    width: 30%;
    padding: 20px 40px;
    background: #E5EBF8;
}

.small-container .menu-level-2-wrapper {
    width: 100%;
    display: flex;
    justify-content: space-around;
}

.menu-item-level-2 {
    margin: 5px 0;
    cursor: pointer;
    display: none;
    padding: 5px;
}

.menu-level-3-wrapper {
    width: 70%;
    background: #ffffff;
    padding: 10px;
    box-sizing: border-box;
    display: flex;
    flex-direction: row;
    max-height: 40px;
    flex-wrap: wrap;
    justify-content: flex-start;
}

.small-container .menu-level-3-wrapper {
    display: none;
}

.menu-level-3 {
    display: none;
    width: calc(100% / 3 - 13px);
}

.menu-item-level-3 {
    margin: 5px 0;
    padding: 10px 20px;
}

.menu-item-level-3 a {
    border-bottom: 1px solid #525074;
    color: #525074;
}

.menu-item-level-3 p {
    font-size: 15px;
    color: #7d9191eb;
}

.search-input {
    display: block;
    border-radius: 10px;
    border: 1px solid #525074;
    background: #E5EBF8;
    padding: 8px;
    margin: 15px 5px;
    width: 80%;
}

.menu-overlay {
    position: fixed;
    top: 154px;
    left: 0;
    width: 100%;
    height: calc(100% - 154px);
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 998;
    display: none;
    transition: opacity 0.3s ease, visibility 0.3s ease;
}

.back-button-level-2, .back-button-level-3 {
    display: none;
}

@media (max-width: 1024px){
    .custom-menu {
        position: relative;
    }

    .menu-level-1 {
        flex-direction: column;
    }

    .menu-item-level-1.active {
        background: #ffffff;
    }

    .menu-level-2-container {
        width: 0;
        top: 0;
        height: 100vh;
        transition: transform 0.3s ease;
        display: block;
        transform: translateX(100%);
        overflow-y: auto;
    }

    .menu-level-2-container.display-container {
        display: block;
        width: 100%;
        transform: translateX(0%);
    }

    .menu-level-2-container.small-container {
        /*width: 100%;*/
    }

    .small-container .menu-level-2-wrapper {
        display: block;
    }

    .menu-level-2-wrapper {
        width: 100%;
    }

    .menu-item-level-2 {
        margin: 10px 0;
        padding: 10px;
    }

    .search-input {
        display: none !important;
    }

    .menu-level-3-wrapper {
        width: 100%;
        max-height: none;
        display: block;
        background: #f4f4f4;
        word-break: break-all;
        top: 0;
        height: 100vh;
        transition: transform 0.3s ease;
        transform: translateX(100%);
        overflow-y: auto;
        position: absolute;
    }

    .menu-level-3-wrapper.mobile-container {
        transform: translateX(0);
        padding-top: 30px;
    }

    .menu-level-3 {
        width: 100%;
    }

    .menu-overlay {
        display: none;
        width: 0;
        height: 0;
    }

    .back-button-level-2, .back-button-level-3 {
        display: block;
        margin-bottom: 20px;
    }

    .back-button-level-2::before,
    .back-button-level-3::before {
        content: '←';
        font-size: 50px;
        display: block;
        padding: 10px;
        cursor: pointer;
        color: #000000;
        margin-bottom: 10px;
        left: 0;
        position: absolute;
        top: 0;
    }

    .menu-parent-level-2 {
        position: relative;
    }

    .menu-parent-level-2:after {
        content: '';
        display: block;
        width: 12px;
        height: 10px;
        background: url("images/arr-down.svg") no-repeat center;
        background-size: contain;
        position: absolute;
        top: 43%;
        transform: translateY(-50%);
        right: 13px;
        transition: all .1s;
    }

    .menu-parent-level-2:after, .menu-parent:after {
        transform: rotate(-90deg);
    }
}
